// Author : Chris Tolley
// Date   : 8/18/2004
// Targeter.h contains the class declaration for a class that will highlight
// the target of the bug targeted by the player controlled bug

#if !defined(AFX_TARGETER_H__94839D60_6BF5_40FF_ABCD_A68371165E95__INCLUDED_)
#define AFX_TARGETER_H__94839D60_6BF5_40FF_ABCD_A68371165E95__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Forward class declaration
class BugCam;

class Targeter  
{
public:
	// Constructor
	Targeter();

	// Destructor
	virtual ~Targeter();

	// Initializes the display list
	void Initialize( const char* ms3dFile );

	// Updates the targeter
	void Update( float elapsedSec );

	// Renders the targeter
	void Render( BugCam* camera );
private:
	// The list that is used to draw this targeter
	unsigned int m_uiList;

	// The current angle of rotation
	float m_fAngle;
};

#endif // !defined(AFX_TARGETER_H__94839D60_6BF5_40FF_ABCD_A68371165E95__INCLUDED_)
